Create Phone Channel
curl --request POST \
--url https://{api_endpoint}/v1/channels/phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"security": {
"api_key": "<string>",
"client_secret": "<string>",
"secure_trunking": false,
"authentication": false,
"username": "<string>",
"password": "<string>",
"password_is_set": false
},
"description": "<string>",
"service_provider": "sip_trunk",
"custom_invite_headers": [],
"put_caller_on_hold_on_transfer": true,
"send_provisional_response": true,
"error_handling": {}
}
'import requests
url = "https://{api_endpoint}/v1/channels/phone"
payload = {
"name": "<string>",
"security": {
"api_key": "<string>",
"client_secret": "<string>",
"secure_trunking": False,
"authentication": False,
"username": "<string>",
"password": "<string>",
"password_is_set": False
},
"description": "<string>",
"service_provider": "sip_trunk",
"custom_invite_headers": [],
"put_caller_on_hold_on_transfer": True,
"send_provisional_response": True,
"error_handling": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
security: {
api_key: '<string>',
client_secret: '<string>',
secure_trunking: false,
authentication: false,
username: '<string>',
password: '<string>',
password_is_set: false
},
description: '<string>',
service_provider: 'sip_trunk',
custom_invite_headers: [],
put_caller_on_hold_on_transfer: true,
send_provisional_response: true,
error_handling: {}
})
};
fetch('https://{api_endpoint}/v1/channels/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Phone channel global
Create Phone Channel
Create Phone Channel
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
64Show child attributes
Show child attributes
Maximum string length:
1024Available options:
sip_trunk, genesys_audio_connector Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
⌘I

